program AppUpdateTest;

{*******************************************************************************
             AppUpdateTest - Sample program for TCynthesisAppUpdate

                    (c) Copyright 1999 Cynthesis Software Inc.

  Author:

    James Waletzky (waletzky@npsnet.com)

  Description:

    Sample application to demonstrate the use of the TCynthesisAppUpdate
    component that allows automatic updating of an application via a web
    address that specifies an update file.

  Limitations of Use:

    The TCynthesisAppUpdate component (and its various pieces) is free (no
    strings attached) for NON-COMMERICAL use. For use in a commercial
    application, please contact James Waletzky via e-mail at waletzky@npsnet.com
    for permission and licensing of source code.

    The source code for this component (for non-commercial use) is available
    from Cynthesis Software for a cost of $10. Please remit a cheque or money
    order payable to Cynthesis Software Inc. to the following address:

             Cynthesis Software Inc.
             408 - 260 Newport Drive
             Port Moody, BC
             Canada
             V3H 5C6

    This source code may NOT be distributed to other sources, and is for the
    exclusive use of the licensee. The source code may be used in any
    application developed by the licensee on a royalty-free basis.

  Request:

    If you decide to make use of this component, I would like to hear from you
    as to your comments about the component, or suggestions for improvement.

*******************************************************************************}

uses
  Forms,
  AppUpdateTst in 'AppUpdateTst.pas' {AppUpdateForm},
  CynthesisAppUpdateHTTP in 'CynthesisAppUpdateHTTP.pas',
  CynthesisAppUpdateInfo in 'CynthesisAppUpdateInfo.pas',
  CynthesisAppUpdateMsgs in 'CynthesisAppUpdateMsgs.pas',
  CynthUtl in 'CynthUtl.pas',
  CynthesisAppUpdateTypes in 'CynthesisAppUpdateTypes.pas',
  CynthesisAppUpdate in 'CynthesisAppUpdate.pas',
  CynthesisAppUpdateFTP in 'CynthesisAppUpdateFTP.pas',
  CynthesisAppUpdateLANWAN in 'CynthesisAppUpdateLANWAN.pas',
  CynthesisMessages in 'CynthesisMessages.pas',
  ZipMstr in 'ZipMstr.pas',
  CynthesisAppUpdateInfoConsts in 'CynthesisAppUpdateInfoConsts.pas';

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'TCynthesisAppUpdate Test Application';
  Application.CreateForm(TAppUpdateForm, AppUpdateForm);
  Application.Run;
end.
